fontset.c File Reference

## Functions

MFontset * | mfontset (char *name)
| Return a fontset. More...
MSymbol | mfontset_name (MFontset *fontset)
| Return the name of a fontset. More...
MFontset * | mfontset_copy (MFontset *fontset, char *name)
| Make a copy of a fontset. More...
int | mfontset_modify_entry (MFontset *fontset, MSymbol script, MSymbol language, MSymbol charset, MFont *spec, MSymbol layouter_name, int how)
| Modify the contents of a fontset. More...
MPlist * | mfontset_lookup (MFontset *fontset, MSymbol script, MSymbol language, MSymbol charset)
| Lookup a fontset. More...
MFontset * | mdebug_dump_fontset (MFontset *fontset, int indent)
| Dump a fontset. More...

## Function Documentation

## mdebug_dump_fontset()

MFontset* mdebug_dump_fontset | ( | MFontset * | fontset,
|  | int | indent
| ) |  |

Dump a fontset.

The mdebug_dump_fontset() function prints fontset fontset in a human readable way to the stderr or to what specified by the environment variable MDEBUG_OUTPUT_FILE. indent specifies how many columns to indent the lines but the first one.

Return value:
  This function returns fontset.